View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/ghostscript
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
applied/ubuntu/maverick 2010-09-21 18:04:36 UTC 2010-09-21
Import patches-applied version 8.71.dfsg.2-0ubuntu7 to applied/ubuntu/maverick

Author: Till Kamppeter
Author Date: 2010-09-20 16:57:20 UTC

Import patches-applied version 8.71.dfsg.2-0ubuntu7 to applied/ubuntu/maverick

Imported using git-ubuntu import.

Changelog parent: 80f3a3a9768a51690c3a13d4bff358726767d94e
Unapplied parent: b5e4e5a6e1628ba65dd340590c1decf0401438a6

New changelog entries:
  * debian/control: Updated versioned dependency of ghostscript on gsfonts,
    we need at least gsfonts 1:8.11+urwcyr1.0.7~pre44-4.1 now due to the
    dropping of defoma.

ubuntu/maverick 2010-09-21 18:04:36 UTC 2010-09-21
Import patches-unapplied version 8.71.dfsg.2-0ubuntu7 to ubuntu/maverick

Author: Till Kamppeter
Author Date: 2010-09-20 16:57:20 UTC

Import patches-unapplied version 8.71.dfsg.2-0ubuntu7 to ubuntu/maverick

Imported using git-ubuntu import.

Changelog parent: 35a4c5cef93bb584dd958356ab62c987883c895f

New changelog entries:
  * debian/control: Updated versioned dependency of ghostscript on gsfonts,
    we need at least gsfonts 1:8.11+urwcyr1.0.7~pre44-4.1 now due to the
    dropping of defoma.

debian/lenny 2010-09-04 21:06:37 UTC 2010-09-04
Import patches-unapplied version 8.62.dfsg.1-3.2lenny5 to debian/lenny

Author: Giuseppe Iuculano
Author Date: 2010-08-18 10:35:45 UTC

Import patches-unapplied version 8.62.dfsg.1-3.2lenny5 to debian/lenny

Imported using git-ubuntu import.

Changelog parent: bc4d79458d389d5e6b648b34945e8e83f5cf222d

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2009-4897: Buffer overflow in gs/psi/iscan.c allows remote
    attackers to execute arbitrary code or cause a denial of service via a
    crafted PDF document containing a long name.
  * Fixed CVE-2010-1628: execute arbitrary code via a PostScript file
    containing unlimited recursive procedure invocations, which trigger
    memory corruption in the stack of the interpreter (Closes: #584516)
  * Rebuild again, there's an old 8.62.dfsg.1-3.2lenny3 build on
    chopin, which prevents builds from trickling in
  * Trigger rebuild, the old upload wasn't processed by buildds
  * CVE-2007-6725 CVE-2008-3522 CVE-2008-6679 CVE-2009-0196
    CVE-2010-0792 CVE-2009-4270 CVE-2010-1869

applied/debian/lenny 2010-09-04 21:06:37 UTC 2010-09-04
Import patches-applied version 8.62.dfsg.1-3.2lenny5 to applied/debian/lenny

Author: Giuseppe Iuculano
Author Date: 2010-08-18 10:35:45 UTC

Import patches-applied version 8.62.dfsg.1-3.2lenny5 to applied/debian/lenny

Imported using git-ubuntu import.

Changelog parent: 3f6b72e15d745a40d576079e4eeaa474c54c6bf1
Unapplied parent: 3b0ee7d2759be3d9e0117cc99b0839138cab7dfe

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2009-4897: Buffer overflow in gs/psi/iscan.c allows remote
    attackers to execute arbitrary code or cause a denial of service via a
    crafted PDF document containing a long name.
  * Fixed CVE-2010-1628: execute arbitrary code via a PostScript file
    containing unlimited recursive procedure invocations, which trigger
    memory corruption in the stack of the interpreter (Closes: #584516)
  * Rebuild again, there's an old 8.62.dfsg.1-3.2lenny3 build on
    chopin, which prevents builds from trickling in
  * Trigger rebuild, the old upload wasn't processed by buildds
  * CVE-2007-6725 CVE-2008-3522 CVE-2008-6679 CVE-2009-0196
    CVE-2010-0792 CVE-2009-4270 CVE-2010-1869

applied/ubuntu/lucid-proposed 2010-08-17 06:06:22 UTC 2010-08-17
Import patches-applied version 8.71.dfsg.1-0ubuntu5.3 to applied/ubuntu/lucid...

Author: Till Kamppeter
Author Date: 2010-07-19 17:15:20 UTC

Import patches-applied version 8.71.dfsg.1-0ubuntu5.3 to applied/ubuntu/lucid-proposed

Imported using git-ubuntu import.

Changelog parent: 7fce2efc4c70a7e84dd36650f7ef6e72a816c7d4
Unapplied parent: 0a5ddce63d2833254ab84e31f34b0de4c4861107

New changelog entries:
  * debian/patches/ps2pdf-hyperlinks.dpatch: Let ps2pdf create proper hyperlinks
    (LP: #583990, upstream bug #691344).

ubuntu/lucid-proposed 2010-08-17 06:06:22 UTC 2010-08-17
Import patches-unapplied version 8.71.dfsg.1-0ubuntu5.3 to ubuntu/lucid-proposed

Author: Till Kamppeter
Author Date: 2010-07-19 17:15:20 UTC

Import patches-unapplied version 8.71.dfsg.1-0ubuntu5.3 to ubuntu/lucid-proposed

Imported using git-ubuntu import.

Changelog parent: 175237e5193723a1b704b0b249f325bc3fe5bf2f

New changelog entries:
  * debian/patches/ps2pdf-hyperlinks.dpatch: Let ps2pdf create proper hyperlinks
    (LP: #583990, upstream bug #691344).

ubuntu/karmic-security 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-unapplied version 8.70.dfsg.1-0ubuntu3.1 to ubuntu/karmic-secu...

Author: Marc Deslauriers
Author Date: 2010-07-09 19:04:05 UTC

Import patches-unapplied version 8.70.dfsg.1-0ubuntu3.1 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: e738f909d7812ab5c0a25b3545a983e6f08762cd

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869

applied/ubuntu/jaunty-devel 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-applied version 8.64.dfsg.1-0ubuntu8.1 to applied/ubuntu/jaunt...

Author: Marc Deslauriers
Author Date: 2010-07-12 16:08:54 UTC

Import patches-applied version 8.64.dfsg.1-0ubuntu8.1 to applied/ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: a2def7f852773ac23c4cd63c90b97e658b31e828
Unapplied parent: 21e5f462ec137f318594510a64b96bf43a543b56

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869
  * SECURITY UPDATE: arbitrary code execution via long names
    - debian/patches/security-long-names.dpatch: check against maximum size
      in psi/iscan.c.
    - No CVE number yet.

applied/ubuntu/jaunty-security 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-applied version 8.64.dfsg.1-0ubuntu8.1 to applied/ubuntu/jaunt...

Author: Marc Deslauriers
Author Date: 2010-07-12 16:08:54 UTC

Import patches-applied version 8.64.dfsg.1-0ubuntu8.1 to applied/ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: a2def7f852773ac23c4cd63c90b97e658b31e828
Unapplied parent: 21e5f462ec137f318594510a64b96bf43a543b56

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869
  * SECURITY UPDATE: arbitrary code execution via long names
    - debian/patches/security-long-names.dpatch: check against maximum size
      in psi/iscan.c.
    - No CVE number yet.

applied/ubuntu/jaunty-updates 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-applied version 8.64.dfsg.1-0ubuntu8.1 to applied/ubuntu/jaunt...

Author: Marc Deslauriers
Author Date: 2010-07-12 16:08:54 UTC

Import patches-applied version 8.64.dfsg.1-0ubuntu8.1 to applied/ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: a2def7f852773ac23c4cd63c90b97e658b31e828
Unapplied parent: 21e5f462ec137f318594510a64b96bf43a543b56

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869
  * SECURITY UPDATE: arbitrary code execution via long names
    - debian/patches/security-long-names.dpatch: check against maximum size
      in psi/iscan.c.
    - No CVE number yet.

applied/ubuntu/karmic-devel 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-applied version 8.70.dfsg.1-0ubuntu3.1 to applied/ubuntu/karmi...

Author: Marc Deslauriers
Author Date: 2010-07-09 19:04:05 UTC

Import patches-applied version 8.70.dfsg.1-0ubuntu3.1 to applied/ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: e6387f807d7f79c546526885c46266eabed0bcac
Unapplied parent: 7bd205afb2dc0042a5e52235e8224dc62f2b1e3b

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869

ubuntu/jaunty-devel 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-unapplied version 8.64.dfsg.1-0ubuntu8.1 to ubuntu/jaunty-secu...

Author: Marc Deslauriers
Author Date: 2010-07-12 16:08:54 UTC

Import patches-unapplied version 8.64.dfsg.1-0ubuntu8.1 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 1519f2333a360fc7a3eeeb0cbff64a247ec6b4d8

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869
  * SECURITY UPDATE: arbitrary code execution via long names
    - debian/patches/security-long-names.dpatch: check against maximum size
      in psi/iscan.c.
    - No CVE number yet.

ubuntu/jaunty-security 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-unapplied version 8.64.dfsg.1-0ubuntu8.1 to ubuntu/jaunty-secu...

Author: Marc Deslauriers
Author Date: 2010-07-12 16:08:54 UTC

Import patches-unapplied version 8.64.dfsg.1-0ubuntu8.1 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 1519f2333a360fc7a3eeeb0cbff64a247ec6b4d8

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869
  * SECURITY UPDATE: arbitrary code execution via long names
    - debian/patches/security-long-names.dpatch: check against maximum size
      in psi/iscan.c.
    - No CVE number yet.

ubuntu/jaunty-updates 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-unapplied version 8.64.dfsg.1-0ubuntu8.1 to ubuntu/jaunty-secu...

Author: Marc Deslauriers
Author Date: 2010-07-12 16:08:54 UTC

Import patches-unapplied version 8.64.dfsg.1-0ubuntu8.1 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 1519f2333a360fc7a3eeeb0cbff64a247ec6b4d8

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869
  * SECURITY UPDATE: arbitrary code execution via long names
    - debian/patches/security-long-names.dpatch: check against maximum size
      in psi/iscan.c.
    - No CVE number yet.

ubuntu/karmic-devel 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-unapplied version 8.70.dfsg.1-0ubuntu3.1 to ubuntu/karmic-secu...

Author: Marc Deslauriers
Author Date: 2010-07-09 19:04:05 UTC

Import patches-unapplied version 8.70.dfsg.1-0ubuntu3.1 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: e738f909d7812ab5c0a25b3545a983e6f08762cd

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869

applied/ubuntu/karmic-security 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-applied version 8.70.dfsg.1-0ubuntu3.1 to applied/ubuntu/karmi...

Author: Marc Deslauriers
Author Date: 2010-07-09 19:04:05 UTC

Import patches-applied version 8.70.dfsg.1-0ubuntu3.1 to applied/ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: e6387f807d7f79c546526885c46266eabed0bcac
Unapplied parent: 7bd205afb2dc0042a5e52235e8224dc62f2b1e3b

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869

applied/ubuntu/karmic-updates 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-applied version 8.70.dfsg.1-0ubuntu3.1 to applied/ubuntu/karmi...

Author: Marc Deslauriers
Author Date: 2010-07-09 19:04:05 UTC

Import patches-applied version 8.70.dfsg.1-0ubuntu3.1 to applied/ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: e6387f807d7f79c546526885c46266eabed0bcac
Unapplied parent: 7bd205afb2dc0042a5e52235e8224dc62f2b1e3b

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869

ubuntu/karmic-updates 2010-07-13 18:06:08 UTC 2010-07-13
Import patches-unapplied version 8.70.dfsg.1-0ubuntu3.1 to ubuntu/karmic-secu...

Author: Marc Deslauriers
Author Date: 2010-07-09 19:04:05 UTC

Import patches-unapplied version 8.70.dfsg.1-0ubuntu3.1 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: e738f909d7812ab5c0a25b3545a983e6f08762cd

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in errprintf function
    - debian/patches/CVE-2009-4270.dpatch: use vsnprintf in base/gsmisc.c.
    - CVE-2009-4270
  * SECURITY UPDATE: arbitrary code execution via unlimited recursive
    procedure invocations (LP: #546009)
    - debian/patches/CVE-2010-1628.dpatch: only initialize structures if
      all allocations were successful in psi/ialloc.c, psi/idosave.h,
      psi/isave.c.
    - CVE-2010-1628
  * SECURITY UPDATE: arbitrary code execution via crafted PostScript file
    (LP: #546009)
    - debian/patches/CVE-2010-1869.dpatch: use correct buffer sizes in
      psi/int.mak, psi/iscan.c, psi/iscan.h.
    - CVE-2010-1869

ubuntu/lucid 2010-04-09 09:05:20 UTC 2010-04-09
Import patches-unapplied version 8.71.dfsg.1-0ubuntu5 to ubuntu/lucid

Author: Josh Holland
Author Date: 2010-04-02 07:25:31 UTC

Import patches-unapplied version 8.71.dfsg.1-0ubuntu5 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 8afd18db9af810ccd06902ae1da9d3de24b63362

New changelog entries:
  * debian/patches/pdf2dsc-fix-for-pdflatex-preview.dpatch:
    Fix pdflatex preview mode using the patch from http://svn.ghostscript.com/viewvc?view=rev&revision=10778
    by William Bader (LP: #543266)

applied/ubuntu/lucid 2010-04-09 09:05:20 UTC 2010-04-09
Import patches-applied version 8.71.dfsg.1-0ubuntu5 to applied/ubuntu/lucid

Author: Josh Holland
Author Date: 2010-04-02 07:25:31 UTC

Import patches-applied version 8.71.dfsg.1-0ubuntu5 to applied/ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: ffceaccfd5bba41a0afbc332c7460a8c8f5e44fb
Unapplied parent: 33587c4a823d96fd07716d7767d242d320750d47

New changelog entries:
  * debian/patches/pdf2dsc-fix-for-pdflatex-preview.dpatch:
    Fix pdflatex preview mode using the patch from http://svn.ghostscript.com/viewvc?view=rev&revision=10778
    by William Bader (LP: #543266)

ubuntu/karmic 2009-10-12 16:14:34 UTC 2009-10-12
Import patches-unapplied version 8.70.dfsg.1-0ubuntu3 to ubuntu/karmic

Author: Till Kamppeter
Author Date: 2009-10-12 13:47:23 UTC

Import patches-unapplied version 8.70.dfsg.1-0ubuntu3 to ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: 27c134a1ac7d52da13223e57601614d0288fb769

New changelog entries:
  * debian/patches/cljet5-mediasize-fix.dpatch: Upstream fix for the media
    size handling of the "cljet5" printer driver.

applied/ubuntu/karmic 2009-10-12 16:14:34 UTC 2009-10-12
Import patches-applied version 8.70.dfsg.1-0ubuntu3 to applied/ubuntu/karmic

Author: Till Kamppeter
Author Date: 2009-10-12 13:47:23 UTC

Import patches-applied version 8.70.dfsg.1-0ubuntu3 to applied/ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: f57ea1c629d4f14d391fee5a8e74530865b888f2
Unapplied parent: e738f909d7812ab5c0a25b3545a983e6f08762cd

New changelog entries:
  * debian/patches/cljet5-mediasize-fix.dpatch: Upstream fix for the media
    size handling of the "cljet5" printer driver.

ubuntu/jaunty 2009-04-17 05:06:03 UTC 2009-04-17
Import patches-unapplied version 8.64.dfsg.1-0ubuntu8 to ubuntu/jaunty

Author: Marc Deslauriers
Author Date: 2009-04-09 13:27:31 UTC

Import patches-unapplied version 8.64.dfsg.1-0ubuntu8 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 0f2cd610b13677022557c0a2e7d50855e56d78ec

New changelog entries:
  * SECURITY UPDATE: possible arbitrary code execution via JBIG2 symbol
    dictionary segments
    - debian/patches/41_CVE-2009-0196.dpatch: validate size of runlength
      in export symbol table in jbig2dec/jbig2_symbol_dict.c.
    - CVE-2009-0196
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via integer overflows in icclib
    - debian/patches/42_CVE-2009-0792.dpatch: fix numerous overflows in
      icclib/icc.c.
    - CVE-2009-0792

applied/ubuntu/jaunty 2009-04-17 05:06:03 UTC 2009-04-17
Import patches-applied version 8.64.dfsg.1-0ubuntu8 to applied/ubuntu/jaunty

Author: Marc Deslauriers
Author Date: 2009-04-09 13:27:31 UTC

Import patches-applied version 8.64.dfsg.1-0ubuntu8 to applied/ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 7a96d8481a179d31855dc6f2c67edd190a6ff65c
Unapplied parent: 1519f2333a360fc7a3eeeb0cbff64a247ec6b4d8

New changelog entries:
  * SECURITY UPDATE: possible arbitrary code execution via JBIG2 symbol
    dictionary segments
    - debian/patches/41_CVE-2009-0196.dpatch: validate size of runlength
      in export symbol table in jbig2dec/jbig2_symbol_dict.c.
    - CVE-2009-0196
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via integer overflows in icclib
    - debian/patches/42_CVE-2009-0792.dpatch: fix numerous overflows in
      icclib/icc.c.
    - CVE-2009-0792

ubuntu/intrepid-devel 2009-04-15 14:04:10 UTC 2009-04-15
Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.4 to ubuntu/intrepid-se...

Author: Marc Deslauriers
Author Date: 2009-04-09 14:23:53 UTC

Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.4 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 0bec2b84ad4f3f69ed6ef423987d9b3f9d1229d0

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via BaseFont writer module
    - debian/patches/74_CVE-2008-6679.dpatch: increase size of buffer in
      src/gdevpdtb.c.
    - CVE-2008-6679
  * SECURITY UPDATE: possible arbitrary code execution via JBIG2 symbol
    dictionary segments
    - debian/patches/75_CVE-2009-0196.dpatch: validate size of runlength
      in export symbol table in jbig2dec/jbig2_symbol_dict.c.
    - CVE-2009-0196
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via integer overflows in icclib
    - debian/patches/76_CVE-2009-0792.dpatch: fix numerous overflows in
      icclib/icc.c.
    - CVE-2009-0792

ubuntu/intrepid-security 2009-04-15 14:04:10 UTC 2009-04-15
Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.4 to ubuntu/intrepid-se...

Author: Marc Deslauriers
Author Date: 2009-04-09 14:23:53 UTC

Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.4 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 0bec2b84ad4f3f69ed6ef423987d9b3f9d1229d0

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via BaseFont writer module
    - debian/patches/74_CVE-2008-6679.dpatch: increase size of buffer in
      src/gdevpdtb.c.
    - CVE-2008-6679
  * SECURITY UPDATE: possible arbitrary code execution via JBIG2 symbol
    dictionary segments
    - debian/patches/75_CVE-2009-0196.dpatch: validate size of runlength
      in export symbol table in jbig2dec/jbig2_symbol_dict.c.
    - CVE-2009-0196
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via integer overflows in icclib
    - debian/patches/76_CVE-2009-0792.dpatch: fix numerous overflows in
      icclib/icc.c.
    - CVE-2009-0792

applied/ubuntu/intrepid-devel 2009-04-15 14:04:10 UTC 2009-04-15
Import patches-applied version 8.63.dfsg.1-0ubuntu6.4 to applied/ubuntu/intre...

Author: Marc Deslauriers
Author Date: 2009-04-09 14:23:53 UTC

Import patches-applied version 8.63.dfsg.1-0ubuntu6.4 to applied/ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 89af70f63edd23aa6ae99ddaf5e19cc1f641907c
Unapplied parent: e3bfc99e7e4ca34ef2568ee669bfba7b14b0c09d

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via BaseFont writer module
    - debian/patches/74_CVE-2008-6679.dpatch: increase size of buffer in
      src/gdevpdtb.c.
    - CVE-2008-6679
  * SECURITY UPDATE: possible arbitrary code execution via JBIG2 symbol
    dictionary segments
    - debian/patches/75_CVE-2009-0196.dpatch: validate size of runlength
      in export symbol table in jbig2dec/jbig2_symbol_dict.c.
    - CVE-2009-0196
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via integer overflows in icclib
    - debian/patches/76_CVE-2009-0792.dpatch: fix numerous overflows in
      icclib/icc.c.
    - CVE-2009-0792

applied/ubuntu/intrepid-security 2009-04-15 14:04:10 UTC 2009-04-15
Import patches-applied version 8.63.dfsg.1-0ubuntu6.4 to applied/ubuntu/intre...

Author: Marc Deslauriers
Author Date: 2009-04-09 14:23:53 UTC

Import patches-applied version 8.63.dfsg.1-0ubuntu6.4 to applied/ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 89af70f63edd23aa6ae99ddaf5e19cc1f641907c
Unapplied parent: e3bfc99e7e4ca34ef2568ee669bfba7b14b0c09d

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via BaseFont writer module
    - debian/patches/74_CVE-2008-6679.dpatch: increase size of buffer in
      src/gdevpdtb.c.
    - CVE-2008-6679
  * SECURITY UPDATE: possible arbitrary code execution via JBIG2 symbol
    dictionary segments
    - debian/patches/75_CVE-2009-0196.dpatch: validate size of runlength
      in export symbol table in jbig2dec/jbig2_symbol_dict.c.
    - CVE-2009-0196
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via integer overflows in icclib
    - debian/patches/76_CVE-2009-0792.dpatch: fix numerous overflows in
      icclib/icc.c.
    - CVE-2009-0792

ubuntu/intrepid-updates 2009-04-15 14:04:10 UTC 2009-04-15
Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.4 to ubuntu/intrepid-se...

Author: Marc Deslauriers
Author Date: 2009-04-09 14:23:53 UTC

Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.4 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 0bec2b84ad4f3f69ed6ef423987d9b3f9d1229d0

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via BaseFont writer module
    - debian/patches/74_CVE-2008-6679.dpatch: increase size of buffer in
      src/gdevpdtb.c.
    - CVE-2008-6679
  * SECURITY UPDATE: possible arbitrary code execution via JBIG2 symbol
    dictionary segments
    - debian/patches/75_CVE-2009-0196.dpatch: validate size of runlength
      in export symbol table in jbig2dec/jbig2_symbol_dict.c.
    - CVE-2009-0196
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via integer overflows in icclib
    - debian/patches/76_CVE-2009-0792.dpatch: fix numerous overflows in
      icclib/icc.c.
    - CVE-2009-0792

applied/ubuntu/intrepid-updates 2009-04-15 14:04:10 UTC 2009-04-15
Import patches-applied version 8.63.dfsg.1-0ubuntu6.4 to applied/ubuntu/intre...

Author: Marc Deslauriers
Author Date: 2009-04-09 14:23:53 UTC

Import patches-applied version 8.63.dfsg.1-0ubuntu6.4 to applied/ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 89af70f63edd23aa6ae99ddaf5e19cc1f641907c
Unapplied parent: e3bfc99e7e4ca34ef2568ee669bfba7b14b0c09d

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via BaseFont writer module
    - debian/patches/74_CVE-2008-6679.dpatch: increase size of buffer in
      src/gdevpdtb.c.
    - CVE-2008-6679
  * SECURITY UPDATE: possible arbitrary code execution via JBIG2 symbol
    dictionary segments
    - debian/patches/75_CVE-2009-0196.dpatch: validate size of runlength
      in export symbol table in jbig2dec/jbig2_symbol_dict.c.
    - CVE-2009-0196
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via integer overflows in icclib
    - debian/patches/76_CVE-2009-0792.dpatch: fix numerous overflows in
      icclib/icc.c.
    - CVE-2009-0792

applied/ubuntu/gutsy-updates 2009-03-23 18:04:12 UTC 2009-03-23
Import patches-applied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to applied/ubun...

Author: Marc Deslauriers
Author Date: 2009-03-22 23:37:27 UTC

Import patches-applied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to applied/ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 0d8a52cc9d623c1045058bf036dc5b2cad8ad035
Unapplied parent: 17c9e765867e579239bedfbaa16bbf9e67ba5896

New changelog entries:
  * SECURITY UPDATE: Arbitrary code execution due to integer overflows and
    insufficient upper-bounds checks in the ICC library
    - debian/patches/44_CVE-2009-0583_0584.dpatch: fix multiple integer
      overflows and perform bounds checking in icclib/icc.c.
    - CVE-2009-0583
    - CVE-2009-0584

ubuntu/gutsy-updates 2009-03-23 18:04:12 UTC 2009-03-23
Import patches-unapplied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to ubuntu/gut...

Author: Marc Deslauriers
Author Date: 2009-03-22 23:37:27 UTC

Import patches-unapplied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: f1917fbf38085e1d2b4ca2eff129709c85f4c754

New changelog entries:
  * SECURITY UPDATE: Arbitrary code execution due to integer overflows and
    insufficient upper-bounds checks in the ICC library
    - debian/patches/44_CVE-2009-0583_0584.dpatch: fix multiple integer
      overflows and perform bounds checking in icclib/icc.c.
    - CVE-2009-0583
    - CVE-2009-0584

ubuntu/gutsy-security 2009-03-23 18:04:12 UTC 2009-03-23
Import patches-unapplied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to ubuntu/gut...

Author: Marc Deslauriers
Author Date: 2009-03-22 23:37:27 UTC

Import patches-unapplied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: f1917fbf38085e1d2b4ca2eff129709c85f4c754

New changelog entries:
  * SECURITY UPDATE: Arbitrary code execution due to integer overflows and
    insufficient upper-bounds checks in the ICC library
    - debian/patches/44_CVE-2009-0583_0584.dpatch: fix multiple integer
      overflows and perform bounds checking in icclib/icc.c.
    - CVE-2009-0583
    - CVE-2009-0584

ubuntu/gutsy-devel 2009-03-23 18:04:12 UTC 2009-03-23
Import patches-unapplied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to ubuntu/gut...

Author: Marc Deslauriers
Author Date: 2009-03-22 23:37:27 UTC

Import patches-unapplied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: f1917fbf38085e1d2b4ca2eff129709c85f4c754

New changelog entries:
  * SECURITY UPDATE: Arbitrary code execution due to integer overflows and
    insufficient upper-bounds checks in the ICC library
    - debian/patches/44_CVE-2009-0583_0584.dpatch: fix multiple integer
      overflows and perform bounds checking in icclib/icc.c.
    - CVE-2009-0583
    - CVE-2009-0584

applied/ubuntu/gutsy-devel 2009-03-23 18:04:12 UTC 2009-03-23
Import patches-applied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to applied/ubun...

Author: Marc Deslauriers
Author Date: 2009-03-22 23:37:27 UTC

Import patches-applied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to applied/ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 0d8a52cc9d623c1045058bf036dc5b2cad8ad035
Unapplied parent: 17c9e765867e579239bedfbaa16bbf9e67ba5896

New changelog entries:
  * SECURITY UPDATE: Arbitrary code execution due to integer overflows and
    insufficient upper-bounds checks in the ICC library
    - debian/patches/44_CVE-2009-0583_0584.dpatch: fix multiple integer
      overflows and perform bounds checking in icclib/icc.c.
    - CVE-2009-0583
    - CVE-2009-0584

applied/ubuntu/gutsy-security 2009-03-23 18:04:12 UTC 2009-03-23
Import patches-applied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to applied/ubun...

Author: Marc Deslauriers
Author Date: 2009-03-22 23:37:27 UTC

Import patches-applied version 8.61.dfsg.1~svn8187-0ubuntu3.5 to applied/ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 0d8a52cc9d623c1045058bf036dc5b2cad8ad035
Unapplied parent: 17c9e765867e579239bedfbaa16bbf9e67ba5896

New changelog entries:
  * SECURITY UPDATE: Arbitrary code execution due to integer overflows and
    insufficient upper-bounds checks in the ICC library
    - debian/patches/44_CVE-2009-0583_0584.dpatch: fix multiple integer
      overflows and perform bounds checking in icclib/icc.c.
    - CVE-2009-0583
    - CVE-2009-0584

ubuntu/intrepid-proposed 2009-01-23 17:05:12 UTC 2009-01-23
Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.2 to ubuntu/intrepid-pr...

Author: Till Kamppeter
Author Date: 2008-01-22 15:39:22 UTC

Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.2 to ubuntu/intrepid-proposed

Imported using git-ubuntu import.

Changelog parent: 6809f802f2ea9fc54f77d6ea3a2bcf308555534e

New changelog entries:
  * debian/patches/72_gs-setpd-ps-duplex-fix.dpatch: Duplex printing did not
    work in some cases (LP: #308817).

applied/ubuntu/intrepid-proposed 2009-01-23 17:05:12 UTC 2009-01-23
Import patches-applied version 8.63.dfsg.1-0ubuntu6.2 to applied/ubuntu/intre...

Author: Till Kamppeter
Author Date: 2008-01-22 15:39:22 UTC

Import patches-applied version 8.63.dfsg.1-0ubuntu6.2 to applied/ubuntu/intrepid-proposed

Imported using git-ubuntu import.

Changelog parent: c74811918703af4ad6404448ccd9e3f67fb3e7b4
Unapplied parent: 0d3e1657a1a7b1f76442be5cf3da43fdf251e3f9

New changelog entries:
  * debian/patches/72_gs-setpd-ps-duplex-fix.dpatch: Duplex printing did not
    work in some cases (LP: #308817).

ubuntu/intrepid 2008-10-20 08:04:34 UTC 2008-10-20
Import patches-unapplied version 8.63.dfsg.1-0ubuntu6 to ubuntu/intrepid

Author: Till Kamppeter
Author Date: 2008-10-19 10:48:22 UTC

Import patches-unapplied version 8.63.dfsg.1-0ubuntu6 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: e04e9fe897ca526a14d23e6ca139ace8797e9df7

New changelog entries:
  * debian/patches/42_gs-init-ps-delaybind-fix.dpatch: Make "ps2ascii" working
    again (LP: #281419, upstream bug #690124).
  * debian/patches/45_bjc600-bjc800-pdf-input.dpatch: Fix setting of the
    "DitheringType" option. With PDF input Ghostscript crashes, with
    PostScript input the "DitheringType" option was probably ignored
    (Upstream bug #690032).

applied/ubuntu/intrepid 2008-10-20 08:04:34 UTC 2008-10-20
Import patches-applied version 8.63.dfsg.1-0ubuntu6 to applied/ubuntu/intrepid

Author: Till Kamppeter
Author Date: 2008-10-19 10:48:22 UTC

Import patches-applied version 8.63.dfsg.1-0ubuntu6 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 43f175159fe65b9eddec7c0ac5e563591da0cc6c
Unapplied parent: fb233ac699617193a3405e33153862e67bc8bd2a

New changelog entries:
  * debian/patches/42_gs-init-ps-delaybind-fix.dpatch: Make "ps2ascii" working
    again (LP: #281419, upstream bug #690124).
  * debian/patches/45_bjc600-bjc800-pdf-input.dpatch: Fix setting of the
    "DitheringType" option. With PDF input Ghostscript crashes, with
    PostScript input the "DitheringType" option was probably ignored
    (Upstream bug #690032).

ubuntu/hardy 2008-04-09 14:05:03 UTC 2008-04-09
Import patches-unapplied version 8.61.dfsg.1-1ubuntu3 to ubuntu/hardy

Author: Jamie Strandboge
Author Date: 2008-04-08 15:58:11 UTC

Import patches-unapplied version 8.61.dfsg.1-1ubuntu3 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: d944c4d8c1d6669d389e883040d266899f6ec5b3

New changelog entries:
  * SECURITY UPDATE: buffer overflow in color space handling code
  * debian/patches/31_CVE-2008-0411.dpatch: fix zseticcspace() to perform
    range checks
  * References
    CVE-2008-0411

applied/ubuntu/hardy 2008-04-09 14:05:03 UTC 2008-04-09
Import patches-applied version 8.61.dfsg.1-1ubuntu3 to applied/ubuntu/hardy

Author: Jamie Strandboge
Author Date: 2008-04-08 15:58:11 UTC

Import patches-applied version 8.61.dfsg.1-1ubuntu3 to applied/ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 3d4143eed52064ff0bc60f757fd61924ec94674e
Unapplied parent: 5b0ff1de1218f0cecdef453ac32fb09d2cb9d08b

New changelog entries:
  * SECURITY UPDATE: buffer overflow in color space handling code
  * debian/patches/31_CVE-2008-0411.dpatch: fix zseticcspace() to perform
    range checks
  * References
    CVE-2008-0411

applied/ubuntu/gutsy-proposed 2008-01-08 21:11:07 UTC 2008-01-08
Import patches-applied version 8.61.dfsg.1~svn8187-0ubuntu3.3 to applied/ubun...

Author: Till Kamppeter
Author Date: 2007-12-12 12:17:43 UTC

Import patches-applied version 8.61.dfsg.1~svn8187-0ubuntu3.3 to applied/ubuntu/gutsy-proposed

Imported using git-ubuntu import.

Changelog parent: 995ef85170116629fa6ddf422bece08d89aff4cd
Unapplied parent: 337972dab623d9ae0ba7cc7c5ef8479face7b33f

New changelog entries:
  * debian/patches/42_print_encrypted_PDFs_from_adobe_reader_8.dpatch:
    Fixed printing of encrypted PDF files from Adobe Reader 8.1.1. This is
    the real fix now and not only a workaround. (Ghostscript bug #689577,
    Ubuntu bug LP: #172264).

ubuntu/gutsy-proposed 2008-01-08 21:11:07 UTC 2008-01-08
Import patches-unapplied version 8.61.dfsg.1~svn8187-0ubuntu3.3 to ubuntu/gut...

Author: Till Kamppeter
Author Date: 2007-12-12 12:17:43 UTC

Import patches-unapplied version 8.61.dfsg.1~svn8187-0ubuntu3.3 to ubuntu/gutsy-proposed

Imported using git-ubuntu import.

Changelog parent: dbfba33358f6b0e4ba548683e08f08069f2468c2

New changelog entries:
  * debian/patches/42_print_encrypted_PDFs_from_adobe_reader_8.dpatch:
    Fixed printing of encrypted PDF files from Adobe Reader 8.1.1. This is
    the real fix now and not only a workaround. (Ghostscript bug #689577,
    Ubuntu bug LP: #172264).

ubuntu/gutsy 2007-10-09 21:44:11 UTC 2007-10-09
Import patches-unapplied version 8.61.dfsg.1~svn8187-0ubuntu3 to ubuntu/gutsy

Author: Martin Pitt
Author Date: 2007-10-09 21:00:28 UTC

Import patches-unapplied version 8.61.dfsg.1~svn8187-0ubuntu3 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 21ac71d0ce1f49209e884b4e6595b777660b09df

New changelog entries:
  [ Till Kamppeter ]
  * debian/rules: Install missing *.upp files (usptream bug, LP: #150985).
  [ Martin Pitt ]
  * debian/rules: Clean files from package ghostscript which are moved to
    ghostscript-doc on i386 (where arch-all packages are built). On all
    non-i386 platforms the files remained in the main package, which causes
    file conflicts and unnecessary package growth. This is a quick hack for
    Gutsy. In Hardy, this horribly broken build system should be fixed
    properly.

applied/ubuntu/gutsy 2007-10-09 21:44:11 UTC 2007-10-09
Import patches-applied version 8.61.dfsg.1~svn8187-0ubuntu3 to applied/ubuntu...

Author: Martin Pitt
Author Date: 2007-10-09 21:00:28 UTC

Import patches-applied version 8.61.dfsg.1~svn8187-0ubuntu3 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: e3e2d1922388df6b834356a0b0347c841052f59d
Unapplied parent: 569a26943c471d19f2cd49c39a424d4d2bb64e5c

New changelog entries:
  [ Till Kamppeter ]
  * debian/rules: Install missing *.upp files (usptream bug, LP: #150985).
  [ Martin Pitt ]
  * debian/rules: Clean files from package ghostscript which are moved to
    ghostscript-doc on i386 (where arch-all packages are built). On all
    non-i386 platforms the files remained in the main package, which causes
    file conflicts and unnecessary package growth. This is a quick hack for
    Gutsy. In Hardy, this horribly broken build system should be fixed
    properly.

201246 of 246 results

Other repositories

Name Last Modified
lp:ubuntu/+source/ghostscript 2019-11-16
11 of 1 result
You can't create new repositories for ghostscript in Ubuntu.